## aml 0.1-1

=== DESCRIPTION ===
Package: aml
Version: 0.1-1
Date: 2013-11-26
Title: Adaptive Mixed LASSO
Authors@R: c(person("Dong", "Wang", role = c("aut", "cre"), email = "dwangstat@gmail.com"))
Author: Dong Wang
Maintainer: Dong Wang <dwangstat@gmail.com>
Depends: R (>= 2.10), lars
Suggests: MASS
Description: This package implements the adaptive mixed lasso (AML) method proposed by Wang et al.(2011).  AML applies adaptive lasso penalty to a large number of predictors,  thus producing a sparse model, while accounting for the population structure in the linear mixed model framework.  The package here is primarily designed for application to genome wide association studies or genomic prediction in plant breeding populations, though it could be applied to other settings of linear mixed models.
License: GPL (>= 2)
URL: http://www.r-project.org
Packaged: 2013-11-27 21:41:23 UTC; bywang
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2013-11-28 08:14:36

## aml 0.2.1

=== debian/changelog ===
aml (0.2.1-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Dec 2021 12:23:37 -0500

aml (0.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1000901)

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Nov 2021 16:56:11 -0500

=== debian/control ===
Source: aml
Priority: optional
Section: libs
Maintainer: Boyuan Yang <byang@debian.org>
Standards-Version: 4.6.0
Build-Depends:
 debhelper-compat (= 13),
 meson,
 pkg-config,
Rules-Requires-Root: no
Homepage: https://github.com/any1/aml/
Vcs-Git: https://salsa.debian.org/debian/aml.git
Vcs-Browser: https://salsa.debian.org/debian/aml

Package: libaml-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libaml0 (= ${binary:Version}),
 ${misc:Depends},
Description: Andri's Main Loop library (development files)
 Libaml provides an event loop library that aims at portability,
 utility and simplicity.
 .
 This package provides library development files.

Package: libaml0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Andri's Main Loop library (shared library)
 Libaml provides an event loop library that aims at portability,
 utility and simplicity.
 .
 This package provides shared libraries.

## aml 0.2.2

=== debian/changelog ===
aml (0.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Jul 2022 21:21:07 -0400

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Section: libs
 Maintainer: Boyuan Yang <byang@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Build-Depends:
  debhelper-compat (= 13),
  meson,

## aml 0.3.0

=== meson_options.txt ===
option(
	'examples',
	type: 'boolean',
	value: false,
	description: 'Build examples',
)

=== debian/changelog ===
aml (0.3.0-3) unstable; urgency=medium

  * Change Maintainer to Han Gao (Closes: #1065737)

 -- Han Gao <rabenda.cn@gmail.com>  Thu, 21 Nov 2024 15:19:35 +0000

aml (0.3.0-2) unstable; urgency=medium

  * QA upload.
  * Ack previous NMU.
  * Orphan the package.
  * debian/control: Build-Depends on pkgconf instead of pkg-config.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Mar 2024 10:40:12 -0500

aml (0.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061887

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:57:17 +0000

aml (0.3.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 24 Jul 2023 21:12:54 -0400

aml (0.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Jun 2023 14:47:23 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: aml
 Priority: optional
 Section: libs
-Maintainer: Boyuan Yang <byang@debian.org>
-Standards-Version: 4.6.1
-Build-Depends:
+Maintainer: Han Gao <rabenda.cn@gmail.com>
+Standards-Version: 4.6.2
+Build-Depends: dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  meson,
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
 Homepage: https://github.com/any1/aml/
 Vcs-Git: https://salsa.debian.org/debian/aml.git
@@ -17,7 +17,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libaml0 (= ${binary:Version}),
+ libaml0t64 (= ${binary:Version}),
  ${misc:Depends},
 Description: Andri's Main Loop library (development files)
  Libaml provides an event loop library that aims at portability,
@@ -25,7 +25,10 @@
  .
  This package provides library development files.
 
-Package: libaml0
+Package: libaml0t64
+Provides: ${t64:Provides}
+Replaces: libaml0
+Breaks: libaml0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends:

=== debian/watch ===
version=4
 opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/aml-$1\.tar\.gz/ \
  https://github.com/any1/aml/tags .*/v?(\d\S+)\.tar\.gz
